# test requires python3-hypothesis 
%bcond_with check

Summary:        Python binding to the Networking and Cryptography (NaCl) library
Name:           python-pynacl
Version:        1.5.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            https://github.com/pyca/pynacl
Source0:        %{url}/archive/%{version}/pynacl-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libsodium-devel

%description 
This package provides a Python binding to libsodium, which is a fork of the Networking and 
Cryptography library.

%package -n python3-pynacl
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-pynacl 
This package provides a Python3 binding to libsodium, which is a fork of the Networking and 
Cryptography library.

%prep
%autosetup -p1 -n pynacl-%{version}

rm -vrf src/libsodium/

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x tests}

%build
export SODIUM_INSTALL=system
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nacl

%check
%if %{with check}
%pytest
%endif

%files -n python3-pynacl -f %{pyproject_files}
%doc README.rst

%changelog
* Wed Dec 27 2023 Rebuild Robot <rebot@opencloudos.org> - 1.5.0-5
- Rebuilt for libsodium

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 1.5.0-1
- Upgrade to version 1.5.0

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.4.0-1
- package init.